org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class SubgraphTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SubgraphTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SubgraphTest.Traversals

- Enclosing class:
    SubgraphTest

      public static class SubgraphTest.Traversals
      extends SubgraphTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SubgraphTest

      `SubgraphTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Graph>` | `get_g_V_withSideEffectXsgX_outEXknowsX_subgraphXsgX_name_capXsgX(Object v1Id, Graph subgraph)`
    `Traversal<Vertex,String>` | `get_g_V_withSideEffectXsgX_repeatXbothEXcreatedX_subgraphXsgX_outVX_timesX5X_name_dedup(Graph subgraph)`
    `Traversal<Vertex,Vertex>` | `get_g_withSideEffectXsgX_V_hasXname_danielX_outE_subgraphXsgX_inV(Graph subgraph)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SubgraphTest

      `g_V_withSideEffectXsgX_outEXknowsX_subgraphXsgX_name_capXsgX, g_V_withSideEffectXsgX_repeatXbothEXcreatedX_subgraphXsgX_outVX_timesX5X_name_dedup, g_withSideEffectXsgX_V_hasXname_danielXout_capXsgX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_withSideEffectXsgX_outEXknowsX_subgraphXsgX_name_capXsgX

          public Traversal<Vertex,Graph> get_g_V_withSideEffectXsgX_outEXknowsX_subgraphXsgX_name_capXsgX(Object v1Id,
                                                                                                          Graph subgraph)

      Specified by:
        `get_g_V_withSideEffectXsgX_outEXknowsX_subgraphXsgX_name_capXsgX` in class `SubgraphTest`

    - #### get_g_V_withSideEffectXsgX_repeatXbothEXcreatedX_subgraphXsgX_outVX_timesX5X_name_dedup

          public Traversal<Vertex,String> get_g_V_withSideEffectXsgX_repeatXbothEXcreatedX_subgraphXsgX_outVX_timesX5X_name_dedup(Graph subgraph)

      Specified by:
        `get_g_V_withSideEffectXsgX_repeatXbothEXcreatedX_subgraphXsgX_outVX_timesX5X_name_dedup` in class `SubgraphTest`

    - #### get_g_withSideEffectXsgX_V_hasXname_danielX_outE_subgraphXsgX_inV

          public Traversal<Vertex,Vertex> get_g_withSideEffectXsgX_V_hasXname_danielX_outE_subgraphXsgX_inV(Graph subgraph)

      Specified by:
        `get_g_withSideEffectXsgX_V_hasXname_danielX_outE_subgraphXsgX_inV` in class `SubgraphTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.